# Generated by Django 2.1 on 2018-08-21 09:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AffiliatedCommitter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('org', models.CharField(max_length=100)),
                ('name', models.CharField(max_length=100)),
                ('kudos', models.IntegerField(null=True)),
                ('level', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='ContributionsToPortfolioProject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('projects', models.TextField()),
                ('twelve_mo_commits', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='InfographicDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('outside_committers', models.IntegerField(null=True)),
                ('outside_committers_commits', models.IntegerField(null=True)),
                ('projects_having_outside_commits', models.IntegerField(null=True)),
                ('portfolio_projects', models.IntegerField(null=True)),
                ('affiliators', models.IntegerField(null=True)),
                ('affiliators_committing_to_portfolio_projects', models.IntegerField(null=True)),
                ('affiliator_commits_to_portfolio_projects', models.IntegerField(null=True)),
                ('affiliators_commiting_projects', models.IntegerField(null=True)),
                ('outside_projects', models.IntegerField(null=True)),
                ('outside_projects_commits', models.IntegerField(null=True)),
                ('affiliators_committing_to_outside_projects', models.IntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='MostCommit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project', models.CharField(max_length=100)),
                ('commits', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='MostRecentCommit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project', models.CharField(max_length=100)),
                ('date', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='OpenhubOrganization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('url', models.URLField(null=True)),
                ('html_url', models.URLField(null=True)),
                ('created_at', models.DateTimeField(null=True)),
                ('updated_at', models.DateTimeField(null=True)),
                ('description', models.TextField(null=True)),
                ('homepage_url', models.URLField(null=True)),
                ('vanity_url', models.CharField(blank=True, max_length=200, null=True)),
                ('org_type', models.CharField(max_length=100)),
                ('medium_logo_url', models.URLField(null=True)),
                ('small_logo_url', models.URLField(null=True)),
                ('projects_count', models.IntegerField(default=0)),
                ('affiliated_committers', models.IntegerField(default=0)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('url', models.URLField(null=True)),
                ('html_url', models.URLField(null=True)),
                ('created_at', models.DateTimeField(null=True)),
                ('updated_at', models.DateTimeField(null=True)),
                ('description', models.TextField(null=True)),
                ('homepage_url', models.URLField(null=True)),
                ('url_name', models.CharField(blank=True, max_length=100, null=True)),
                ('org_type', models.CharField(max_length=100, null=True)),
                ('medium_logo_url', models.URLField(null=True)),
                ('small_logo_url', models.URLField(null=True)),
                ('infographic_details', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='openhub_django.InfographicDetail')),
            ],
        ),
        migrations.CreateModel(
            name='OutsideCommitter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('kudos', models.IntegerField(null=True)),
                ('level', models.IntegerField()),
                ('affiliated_with', models.CharField(max_length=100)),
                ('org', models.CharField(max_length=100)),
                ('contributions_to_portfolio_projects', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='openhub_django.ContributionsToPortfolioProject')),
            ],
        ),
        migrations.CreateModel(
            name='OutsideProject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('activity', models.CharField(max_length=100)),
                ('claimed_by', models.CharField(max_length=100, null=True)),
                ('i_use_this', models.IntegerField(null=True)),
                ('community_rating', models.FloatField(null=True)),
                ('affiliates_contributing', models.IntegerField(null=True)),
                ('commits_by_current_affiliates', models.IntegerField(null=True)),
                ('org', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='PortfolioProject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('activity', models.CharField(max_length=100)),
                ('i_use_this', models.IntegerField()),
                ('community_rating', models.FloatField(null=True)),
                ('primary_language', models.CharField(max_length=100)),
                ('org', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='PortfolioProjectActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('commits', models.IntegerField(null=True)),
                ('change_in_commits', models.IntegerField(null=True)),
                ('percentage_change_in_commits', models.IntegerField(null=True)),
                ('contributors', models.IntegerField(null=True)),
                ('change_in_contributors', models.IntegerField(null=True)),
                ('percentage_change_in_committers', models.IntegerField(null=True)),
            ],
        ),
        migrations.AddField(
            model_name='portfolioproject',
            name='twelve_mo_activity_and_year_on_year_change',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='openhub_django.PortfolioProjectActivity'),
        ),
        migrations.AddField(
            model_name='affiliatedcommitter',
            name='most_commits',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='openhub_django.MostCommit'),
        ),
        migrations.AddField(
            model_name='affiliatedcommitter',
            name='most_recent_commit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='openhub_django.MostRecentCommit'),
        ),
    ]
